﻿Public Class Gest_forn
    'Dichiarazioni Variabili'
    'Strutture Record'
    'Struttura Record Gestione Fornitori'-----------------------------------------
    Structure stru_forn
        Dim cod_forn As Integer
        <VBFixedString(20)> Dim rag_soc As String
        Dim tel As Long
        Dim part_iva As Long

        Dim fax As Long
        <VBFixedString(15)> Dim email As String
        <VBFixedString(70)> Dim web As String
        <VBFixedString(40)> Dim banca As String

        <VBFixedString(20)> Dim loca As String
        <VBFixedString(30)> Dim indi As String
        Dim cap As Short
    End Structure
    Dim rec_forn As stru_forn
    '---------------------------------------------------------------------------------
    'Struttura Record qualità media'----------------------------------------------------------------------------
    Structure stru_qual_media
        Dim num_ord As Short
        Dim pez_cons As Short
        Dim pzo As Decimal
        Dim pez_scar As Short
        Dim val_pez_scar As Decimal
    End Structure
    Dim rec_qual_media As stru_qual_media
    '-----------------------------------------------------------------------------------------------------------------
    'Struttura Record ritardo medio'-------------------------------------------------------------------------
    Structure stru_rit_medio
        Dim num_ordine As Short
        Dim gio_stab As Short
        Dim dat_lancio As Date
        Dim dat_cons As Date
        Dim gio_effet As Short
        Dim gio_ritar As Short
        Dim pez_acqui As Short
        Dim imp_fat As Decimal
    End Structure
    Dim rec_rit_medio As stru_rit_medio
    '--------------------------------------------------------------------------------------------------------------
    'Variabili di input'
    Dim anno_archivio As Short 'anno dell archivio da visualizzare sia nel ritardo medio che nella qualità media
    Dim risp As Byte           'esito della risposta di creazione archivio
    'Variabili di output'
    Dim tot_num_ord As Short
    Dim tot_pez_cons As Integer
    Dim tot_pzo As Decimal
    Dim tot_pez_scar As Integer
    Dim tot_val_pez_scar As Decimal
    Dim qual_media As Single

    Dim tot_num_ordine As Short
    Dim tot_gio_effet As Short
    Dim tot_gio_ritar As Short
    Dim tot_pez_acqui As Integer
    Dim tot_imp_fat As Decimal
    Dim rit_medio As Single
    'Variabili di calcolo'
    Dim tot_rec As Short
    Dim pos As Short
    <VBFixedString(20)> Dim confr_rag_soc As String 'tab1
    Dim temp_pos As Short 'posizione record accessibile da tutta la subroutine
    Dim num_parz As Decimal 'Numero utilizzato nel calcolo del ritardo medio
    Private Sub a00_Riempi_Listbox()
        tot_rec = LOF(1) / Len(rec_forn)
        For pos As Short = 1 To tot_rec
            FileGet(1, rec_forn, pos)
            If rec_forn.cod_forn >= 1 Then
                ListBox1.Items.Add(rec_forn.rag_soc)
                ListBox2.Items.Add(rec_forn.rag_soc)
                ListBox3.Items.Add(rec_forn.rag_soc)
            End If
        Next
    End Sub
    'Tab Gestione fornitori--------------------------------------------------------------------------------------
    Private Sub b00_assegnazioni_txt()
        rec_forn.cod_forn = CType(txt_cod_forn.Text, Integer)
        rec_forn.rag_soc = txt_rag_soc.Text
        rec_forn.tel = txt_tel.Text
        rec_forn.part_iva = txt_part_iva.Text
        rec_forn.fax = txt_fax.Text
        rec_forn.email = txt_email.Text
        rec_forn.web = txt_web.Text
        rec_forn.banca = txt_banca.Text
        rec_forn.loca = txt_loca.Text
        rec_forn.indi = txt_indi.Text
        rec_forn.cap = txt_cap.Text
    End Sub
    Private Sub c01_Svuota_TXT()
        txt_cod_forn.Text = ""
        txt_rag_soc.Text = ""
        txt_tel.Text = ""
        txt_part_iva.Text = ""
        txt_fax.Text = ""
        txt_email.Text = ""
        txt_web.Text = ""
        txt_banca.Text = ""
        txt_loca.Text = ""
        txt_indi.Text = ""
        txt_cap.Text = ""
    End Sub
    Private Sub c00_Svuota_rec_forn()
        rec_forn.cod_forn = 0
        rec_forn.rag_soc = ""
        rec_forn.tel = 0
        rec_forn.part_iva = 0
        rec_forn.fax = 0
        rec_forn.email = ""
        rec_forn.web = ""
        rec_forn.banca = ""
        rec_forn.loca = ""
        rec_forn.indi = ""
        rec_forn.cap = 0
        FilePut(1, rec_forn, CType(txt_cod_forn.Text, Integer))
    End Sub
    Private Sub Cmd_AGG_Forn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_AGG_Forn.Click
        On Error Resume Next
        FileGet(1, rec_forn, CType(txt_cod_forn.Text, Integer))
        If rec_forn.cod_forn <> CType(txt_cod_forn.Text, Integer) Then
            b00_assegnazioni_txt()
            FilePut(1, rec_forn, rec_forn.cod_forn)
            ListBox1.Items.Add(rec_forn.rag_soc)
            ListBox2.Items.Add(rec_forn.rag_soc)
            ListBox3.Items.Add(rec_forn.rag_soc)
            MsgBox("Registrazione Completata")
        Else
            MsgBox("Codice fornitore gia assegnato, modificare il campo codice fornitore con uno non utilizzato")
        End If
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Label14.Text = My.Computer.Clock.LocalTime
    End Sub

    Private Sub Gest_forn_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        If My.Computer.FileSystem.DirectoryExists(My.Application.Info.DirectoryPath & "\Ritardo Medio") Then
            'La cartella esiste
        Else
            My.Computer.FileSystem.CreateDirectory(My.Application.Info.DirectoryPath & "\Ritardo Medio")
        End If
        If My.Computer.FileSystem.DirectoryExists(My.Application.Info.DirectoryPath & "\Qualità Media") Then
            'La cartella esiste
        Else
            My.Computer.FileSystem.CreateDirectory(My.Application.Info.DirectoryPath & "\Qualità Media")
        End If
        FileOpen(1, My.Application.Info.DirectoryPath & "\Archivio_Fornitori.rnd", OpenMode.Random, , , Len(rec_forn))
        a00_Riempi_Listbox()
    End Sub

    Private Sub ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBox1.SelectedIndexChanged
        confr_rag_soc = ListBox1.SelectedItem
        tot_rec = LOF(1) / Len(rec_forn)
        For pos As Short = 1 To tot_rec
            FileGet(1, rec_forn, pos)
            If rec_forn.rag_soc = confr_rag_soc Then
                txt_cod_forn.Text = rec_forn.cod_forn
                txt_rag_soc.Text = rec_forn.rag_soc
                txt_tel.Text = rec_forn.tel
                txt_part_iva.Text = rec_forn.part_iva
                txt_fax.Text = rec_forn.fax
                txt_email.Text = rec_forn.email
                txt_web.Text = rec_forn.web
                txt_banca.Text = rec_forn.banca
                txt_loca.Text = rec_forn.loca
                txt_indi.Text = rec_forn.indi
                txt_cap.Text = rec_forn.cap
            End If
        Next
        Cmd_AGG_Forn.Text = "Modifica/Aggiungi Fornitore"
        Cmd_CANC_Forn.Enabled = True
    End Sub

    Private Sub Cmd_Resetta_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_Resetta.Click
        c01_Svuota_TXT()
        Cmd_CANC_Forn.Enabled = False
        Cmd_AGG_Forn.Text = "Aggiungi Fornitore"
    End Sub

    Private Sub Cmd_CANC_Forn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_CANC_Forn.Click
        c00_Svuota_rec_forn()
        c01_Svuota_TXT()
        Cmd_CANC_Forn.Enabled = False
        Cmd_AGG_Forn.Text = "Aggiungi Fornitore"
        MsgBox("Fornitore Eliminato")
    End Sub
    'Tab Ritardo medio'-----------------------------------------------------------------------------------------------------------------
    Private Sub b00_assegnazioni_rec_rit_medio()
        Select Case temp_pos
            Case 1
                txt_num_ordine1.Text = rec_rit_medio.num_ordine
                txt_gio_stab1.Text = rec_rit_medio.gio_stab
                txt_dat_lancio1.Text = rec_rit_medio.dat_lancio
                txt_dat_cons1.Text = rec_rit_medio.dat_cons
                txt_gio_effet1.Text = rec_rit_medio.gio_effet
                txt_gio_ritar1.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui1.Text = rec_rit_medio.pez_acqui
                txt_imp_fat1.Text = rec_rit_medio.imp_fat
            Case 2
                txt_num_ordine2.Text = rec_rit_medio.num_ordine
                txt_gio_stab2.Text = rec_rit_medio.gio_stab
                txt_dat_lancio2.Text = rec_rit_medio.dat_lancio
                txt_dat_cons2.Text = rec_rit_medio.dat_cons
                txt_gio_effet2.Text = rec_rit_medio.gio_effet
                txt_gio_ritar2.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui2.Text = rec_rit_medio.pez_acqui
                txt_imp_fat2.Text = rec_rit_medio.imp_fat
            Case 3
                txt_num_ordine3.Text = rec_rit_medio.num_ordine
                txt_gio_stab3.Text = rec_rit_medio.gio_stab
                txt_dat_lancio3.Text = rec_rit_medio.dat_lancio
                txt_dat_cons3.Text = rec_rit_medio.dat_cons
                txt_gio_effet3.Text = rec_rit_medio.gio_effet
                txt_gio_ritar3.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui3.Text = rec_rit_medio.pez_acqui
                txt_imp_fat3.Text = rec_rit_medio.imp_fat
            Case 4
                txt_num_ordine4.Text = rec_rit_medio.num_ordine
                txt_gio_stab4.Text = rec_rit_medio.gio_stab
                txt_dat_lancio4.Text = rec_rit_medio.dat_lancio
                txt_dat_cons4.Text = rec_rit_medio.dat_cons
                txt_gio_effet4.Text = rec_rit_medio.gio_effet
                txt_gio_ritar4.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui4.Text = rec_rit_medio.pez_acqui
                txt_imp_fat4.Text = rec_rit_medio.imp_fat
            Case 5
                txt_num_ordine5.Text = rec_rit_medio.num_ordine
                txt_gio_stab5.Text = rec_rit_medio.gio_stab
                txt_dat_lancio5.Text = rec_rit_medio.dat_lancio
                txt_dat_cons5.Text = rec_rit_medio.dat_cons
                txt_gio_effet5.Text = rec_rit_medio.gio_effet
                txt_gio_ritar5.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui5.Text = rec_rit_medio.pez_acqui
                txt_imp_fat5.Text = rec_rit_medio.imp_fat
            Case 6
                txt_num_ordine6.Text = rec_rit_medio.num_ordine
                txt_gio_stab6.Text = rec_rit_medio.gio_stab
                txt_dat_lancio6.Text = rec_rit_medio.dat_lancio
                txt_dat_cons6.Text = rec_rit_medio.dat_cons
                txt_gio_effet6.Text = rec_rit_medio.gio_effet
                txt_gio_ritar6.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui6.Text = rec_rit_medio.pez_acqui
                txt_imp_fat6.Text = rec_rit_medio.imp_fat
            Case 7
                txt_num_ordine7.Text = rec_rit_medio.num_ordine
                txt_gio_stab7.Text = rec_rit_medio.gio_stab
                txt_dat_lancio7.Text = rec_rit_medio.dat_lancio
                txt_dat_cons7.Text = rec_rit_medio.dat_cons
                txt_gio_effet7.Text = rec_rit_medio.gio_effet
                txt_gio_ritar7.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui7.Text = rec_rit_medio.pez_acqui
                txt_imp_fat7.Text = rec_rit_medio.imp_fat
            Case 8
                txt_num_ordine8.Text = rec_rit_medio.num_ordine
                txt_gio_stab8.Text = rec_rit_medio.gio_stab
                txt_dat_lancio8.Text = rec_rit_medio.dat_lancio
                txt_dat_cons8.Text = rec_rit_medio.dat_cons
                txt_gio_effet8.Text = rec_rit_medio.gio_effet
                txt_gio_ritar8.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui8.Text = rec_rit_medio.pez_acqui
                txt_imp_fat8.Text = rec_rit_medio.imp_fat
            Case 9
                txt_num_ordine9.Text = rec_rit_medio.num_ordine
                txt_gio_stab9.Text = rec_rit_medio.gio_stab
                txt_dat_lancio9.Text = rec_rit_medio.dat_lancio
                txt_dat_cons9.Text = rec_rit_medio.dat_cons
                txt_gio_effet9.Text = rec_rit_medio.gio_effet
                txt_gio_ritar9.Text = rec_rit_medio.gio_ritar
                txt_pez_acqui9.Text = rec_rit_medio.pez_acqui
                txt_imp_fat9.Text = rec_rit_medio.imp_fat
        End Select
    End Sub
    Private Sub b01_assegnazioni_txt_rit_medio()
        If txt_num_ord1.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine1.Text
            rec_rit_medio.gio_stab = txt_gio_stab1.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio1.Text
            rec_rit_medio.dat_cons = txt_dat_cons1.Text
            'rec_rit_medio.gio_effet = txt_gio_effet1.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar1.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui1.Text
            rec_rit_medio.imp_fat = txt_imp_fat1.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord2.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine2.Text
            rec_rit_medio.gio_stab = txt_gio_stab2.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio2.Text
            rec_rit_medio.dat_cons = txt_dat_cons2.Text
            'rec_rit_medio.gio_effet = txt_gio_effet2.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar2.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui2.Text
            rec_rit_medio.imp_fat = txt_imp_fat2.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord3.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine3.Text
            rec_rit_medio.gio_stab = txt_gio_stab3.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio3.Text
            rec_rit_medio.dat_cons = txt_dat_cons3.Text
            'rec_rit_medio.gio_effet = txt_gio_effet3.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar3.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui3.Text
            rec_rit_medio.imp_fat = txt_imp_fat3.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord4.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine4.Text
            rec_rit_medio.gio_stab = txt_gio_stab4.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio4.Text
            rec_rit_medio.dat_cons = txt_dat_cons4.Text
            'rec_rit_medio.gio_effet = txt_gio_effet4.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar4.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui4.Text
            rec_rit_medio.imp_fat = txt_imp_fat4.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord5.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine5.Text
            rec_rit_medio.gio_stab = txt_gio_stab5.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio5.Text
            rec_rit_medio.dat_cons = txt_dat_cons5.Text
            'rec_rit_medio.gio_effet = txt_gio_effet5.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar5.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui5.Text
            rec_rit_medio.imp_fat = txt_imp_fat5.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord6.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine6.Text
            rec_rit_medio.gio_stab = txt_gio_stab6.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio6.Text
            rec_rit_medio.dat_cons = txt_dat_cons6.Text
            'rec_rit_medio.gio_effet = txt_gio_effet6.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar6.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui6.Text
            rec_rit_medio.imp_fat = txt_imp_fat6.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord7.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine7.Text
            rec_rit_medio.gio_stab = txt_gio_stab7.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio7.Text
            rec_rit_medio.dat_cons = txt_dat_cons7.Text
            'rec_rit_medio.gio_effet = txt_gio_effet7.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar7.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui7.Text
            rec_rit_medio.imp_fat = txt_imp_fat7.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord8.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine8.Text
            rec_rit_medio.gio_stab = txt_gio_stab8.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio8.Text
            rec_rit_medio.dat_cons = txt_dat_cons8.Text
            'rec_rit_medio.gio_effet = txt_gio_effet8.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar8.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui8.Text
            rec_rit_medio.imp_fat = txt_imp_fat8.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If
        If txt_num_ord9.Text <> "" Then
            rec_rit_medio.num_ordine = txt_num_ordine9.Text
            rec_rit_medio.gio_stab = txt_gio_stab9.Text
            rec_rit_medio.dat_lancio = txt_dat_lancio9.Text
            rec_rit_medio.dat_cons = txt_dat_cons9.Text
            'rec_rit_medio.gio_effet = txt_gio_effet9.Text
            'rec_rit_medio.gio_ritar = txt_gio_ritar9.Text
            rec_rit_medio.pez_acqui = txt_pez_acqui9.Text
            rec_rit_medio.imp_fat = txt_imp_fat9.Text
            FilePut(2, rec_rit_medio, rec_rit_medio.num_ordine)
        Else
            Exit Sub
        End If

    End Sub


    Private Sub ListBox2_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBox2.SelectedIndexChanged
        anno_archivio = InputBox("Inserire l anno di cui si vuole visualizzare/modificare i dati")
        If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath & "\Ritardo Medio\" & ListBox2.SelectedItem & anno_archivio & ".rnd") Then
            FileOpen(2, My.Application.Info.DirectoryPath & "\Ritardo Medio\" & ListBox2.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_rit_medio))
            tot_rec = LOF(2) / Len(rec_rit_medio)
            For pos As Short = 1 To tot_rec
                temp_pos = pos
                FileGet(2, rec_rit_medio, pos)
                If rec_rit_medio.num_ordine >= 1 Then
                    b00_assegnazioni_rec_rit_medio()
                End If
            Next
            Cmd_AGG_Dett_Forn1.Enabled = True
            Cmd_CAL_Totali_e_Rit_medio.Enabled = True
        Else
            risp = MsgBox("Archivio con l anno specificato non esiste" & vbCrLf & "Crearlo ora?", MsgBoxStyle.YesNo)
            If risp = 6 Then
                FileOpen(2, My.Application.Info.DirectoryPath & "\Ritardo Medio\" & ListBox2.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_rit_medio))
                MsgBox("Creazione Archivio Completata")
                Cmd_AGG_Dett_Forn1.Enabled = True
                Cmd_CAL_Totali_e_Rit_medio.Enabled = True
            End If
        End If
        FileClose(2)
    End Sub
    Private Sub Cmd_AGG_Dett_Forn1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_AGG_Dett_Forn1.Click
        FileOpen(2, My.Application.Info.DirectoryPath & "\Ritardo Medio\" & ListBox2.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_rit_medio))
        b01_assegnazioni_txt_rit_medio()
        MsgBox("Scrittura Completata")
        FileClose(2)
    End Sub
    Private Sub Cmd_CAL_Totali_e_Rit_medio_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_CAL_Totali_e_Rit_medio.Click
        FileOpen(2, My.Application.Info.DirectoryPath & "\Ritardo Medio\" & ListBox2.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_rit_medio))
        tot_rec = LOF(2) / Len(rec_rit_medio)
        For pos As Short = 1 To tot_rec
            FileGet(2, rec_rit_medio, pos)
            If rec_rit_medio.num_ordine >= 1 Then
                Select Case pos
                    Case 1
                        If txt_dat_cons1.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons1.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio1.Text
                            rec_rit_medio.gio_stab = txt_gio_stab1.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet1.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar1.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 2
                        If txt_dat_cons2.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons2.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio2.Text
                            rec_rit_medio.gio_stab = txt_gio_stab2.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet2.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar2.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 3
                        If txt_dat_cons3.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons3.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio3.Text
                            rec_rit_medio.gio_stab = txt_gio_stab3.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet3.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar3.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 4
                        If txt_dat_cons4.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons4.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio4.Text
                            rec_rit_medio.gio_stab = txt_gio_stab4.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet4.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar4.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 5
                        If txt_dat_cons5.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons5.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio5.Text
                            rec_rit_medio.gio_stab = txt_gio_stab5.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet5.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar5.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 6
                        If txt_dat_cons6.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons6.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio6.Text
                            rec_rit_medio.gio_stab = txt_gio_stab6.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet6.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar6.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 7
                        If txt_dat_cons7.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons7.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio7.Text
                            rec_rit_medio.gio_stab = txt_gio_stab7.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet7.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar7.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 8
                        If txt_dat_cons8.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons8.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio8.Text
                            rec_rit_medio.gio_stab = txt_gio_stab8.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet8.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar8.Text = rec_rit_medio.gio_ritar
                        End If
                    Case 9
                        If txt_dat_cons9.Text <> "" Then
                            rec_rit_medio.dat_cons = txt_dat_cons9.Text
                            rec_rit_medio.dat_lancio = txt_dat_lancio9.Text
                            rec_rit_medio.gio_stab = txt_gio_stab9.Text
                            rec_rit_medio.gio_effet = DateDiff(DateInterval.DayOfYear, rec_rit_medio.dat_lancio, rec_rit_medio.dat_cons)
                            rec_rit_medio.gio_ritar = rec_rit_medio.gio_effet - rec_rit_medio.gio_stab
                            txt_gio_effet9.Text = rec_rit_medio.gio_effet
                            txt_gio_ritar9.Text = rec_rit_medio.gio_ritar
                        End If
                End Select
                tot_num_ordine += 1
                tot_gio_effet += rec_rit_medio.gio_effet
                tot_gio_ritar += rec_rit_medio.gio_ritar
                tot_pez_acqui += rec_rit_medio.pez_acqui
                tot_imp_fat += rec_rit_medio.imp_fat
                num_parz += (rec_rit_medio.gio_ritar / rec_rit_medio.gio_stab) * rec_rit_medio.imp_fat
                FilePut(2, rec_rit_medio, pos)
            End If
        Next
        txt_tot_num_ordine.Text = tot_num_ordine
        txt_tot_gio_effet.Text = tot_gio_effet
        txt_tot_gio_ritar.Text = tot_gio_ritar
        txt_tot_pez_acqui.Text = tot_pez_acqui
        txt_tot_imp_fat.Text = tot_imp_fat
        rit_medio = num_parz / tot_imp_fat
        If txt_rit_medio1.Text = "" Then
            txt_rit_medio1.Text = rit_medio
            lbl_forni1.Text = ListBox2.SelectedItem
        ElseIf txt_rit_medio2.Text = "" Then
            txt_rit_medio2.Text = rit_medio
            txt_rit_medio2.Visible = True
            lbl_forni2.Text = ListBox2.SelectedItem
            lbl_forni2.Visible = True
        ElseIf txt_rit_medio3.Text = "" Then
            txt_rit_medio3.Text = rit_medio
            txt_rit_medio3.Visible = True
            lbl_forni3.Text = ListBox2.SelectedItem
            lbl_forni3.Visible = True
        ElseIf txt_rit_medio4.Text = "" Then
            txt_rit_medio4.Text = rit_medio
            txt_rit_medio4.Visible = True
            lbl_forni4.Text = ListBox2.SelectedItem
            lbl_forni4.Visible = True
        ElseIf txt_rit_medio5.Text = "" Then
            txt_rit_medio5.Text = rit_medio
            txt_rit_medio5.Visible = True
            lbl_forni5.Text = ListBox2.SelectedItem
            lbl_forni5.Visible = True
        ElseIf txt_rit_medio6.Text = "" Then
            txt_rit_medio6.Text = rit_medio
            txt_rit_medio6.Visible = True
            lbl_forni6.Text = ListBox2.SelectedItem
            lbl_forni6.Visible = True
        ElseIf txt_rit_medio7.Text = "" Then
            txt_rit_medio7.Text = rit_medio
            txt_rit_medio7.Visible = True
            lbl_forni7.Text = ListBox2.SelectedItem
            lbl_forni7.Visible = True
        ElseIf txt_rit_medio8.Text = "" Then
            txt_rit_medio8.Text = rit_medio
            txt_rit_medio8.Visible = True
            lbl_forni8.Text = ListBox2.SelectedItem
            lbl_forni8.Visible = True
        ElseIf txt_rit_medio9.Text = "" Then
            txt_rit_medio9.Text = rit_medio
            txt_rit_medio9.Visible = True
            lbl_forni9.Text = ListBox2.SelectedItem
            lbl_forni9.Visible = True
        ElseIf txt_rit_medio10.Text = "" Then
            txt_rit_medio10.Text = rit_medio
            txt_rit_medio10.Visible = True
            lbl_forni10.Text = ListBox2.SelectedItem
            lbl_forni10.Visible = True
        End If
        tot_num_ordine = 0
        tot_gio_effet = 0
        tot_gio_ritar = 0
        tot_pez_acqui = 0
        tot_imp_fat = 0
        FileClose(2)
    End Sub
    Private Sub Cmd_Resetta2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_Resetta2.Click
        txt_num_ordine1.Text = ""
        txt_gio_stab1.Text = ""
        txt_dat_lancio1.Text = ""
        txt_dat_cons1.Text = ""
        txt_gio_effet1.Text = ""
        txt_gio_ritar1.Text = ""
        txt_pez_acqui1.Text = ""
        txt_imp_fat1.Text = ""

        txt_num_ordine2.Text = ""
        txt_gio_stab2.Text = ""
        txt_dat_lancio2.Text = ""
        txt_dat_cons2.Text = ""
        txt_gio_effet2.Text = ""
        txt_gio_ritar2.Text = ""
        txt_pez_acqui2.Text = ""
        txt_imp_fat2.Text = ""

        txt_num_ordine3.Text = ""
        txt_gio_stab3.Text = ""
        txt_dat_lancio3.Text = ""
        txt_dat_cons3.Text = ""
        txt_gio_effet3.Text = ""
        txt_gio_ritar3.Text = ""
        txt_pez_acqui3.Text = ""
        txt_imp_fat3.Text = ""

        txt_num_ordine4.Text = ""
        txt_gio_stab4.Text = ""
        txt_dat_lancio4.Text = ""
        txt_dat_cons4.Text = ""
        txt_gio_effet4.Text = ""
        txt_gio_ritar4.Text = ""
        txt_pez_acqui4.Text = ""
        txt_imp_fat4.Text = ""

        txt_num_ordine5.Text = ""
        txt_gio_stab5.Text = ""
        txt_dat_lancio5.Text = ""
        txt_dat_cons5.Text = ""
        txt_gio_effet5.Text = ""
        txt_gio_ritar5.Text = ""
        txt_pez_acqui5.Text = ""
        txt_imp_fat5.Text = ""

        txt_num_ordine6.Text = ""
        txt_gio_stab6.Text = ""
        txt_dat_lancio6.Text = ""
        txt_dat_cons6.Text = ""
        txt_gio_effet6.Text = ""
        txt_gio_ritar6.Text = ""
        txt_pez_acqui6.Text = ""
        txt_imp_fat6.Text = ""

        txt_num_ordine7.Text = ""
        txt_gio_stab7.Text = ""
        txt_dat_lancio7.Text = ""
        txt_dat_cons7.Text = ""
        txt_gio_effet7.Text = ""
        txt_gio_ritar7.Text = ""
        txt_pez_acqui7.Text = ""
        txt_imp_fat7.Text = ""

        txt_num_ordine8.Text = ""
        txt_gio_stab8.Text = ""
        txt_dat_lancio8.Text = ""
        txt_dat_cons8.Text = ""
        txt_gio_effet8.Text = ""
        txt_gio_ritar8.Text = ""
        txt_pez_acqui8.Text = ""
        txt_imp_fat8.Text = ""

        txt_num_ordine9.Text = ""
        txt_gio_stab9.Text = ""
        txt_dat_lancio9.Text = ""
        txt_dat_cons9.Text = ""
        txt_gio_effet9.Text = ""
        txt_gio_ritar9.Text = ""
        txt_pez_acqui9.Text = ""
        txt_imp_fat9.Text = ""

        txt_tot_num_ordine.Text = ""
        txt_tot_gio_effet.Text = ""
        txt_tot_gio_ritar.Text = ""
        txt_tot_pez_acqui.Text = ""
        txt_tot_imp_fat.Text = ""

        txt_rit_medio1.Text = ""
        txt_rit_medio2.Text = ""
        txt_rit_medio2.Visible = False
        txt_rit_medio3.Text = ""
        txt_rit_medio3.Visible = False
        txt_rit_medio4.Text = ""
        txt_rit_medio4.Visible = False
        txt_rit_medio5.Text = ""
        txt_rit_medio5.Visible = False
        txt_rit_medio6.Text = ""
        txt_rit_medio6.Visible = False
        txt_rit_medio7.Text = ""
        txt_rit_medio7.Visible = False
        txt_rit_medio8.Text = ""
        txt_rit_medio8.Visible = False
        txt_rit_medio9.Text = ""
        txt_rit_medio9.Visible = False
        txt_rit_medio2.Text = ""
        txt_rit_medio10.Visible = False

        lbl_forni1.Text = ""
        lbl_forni2.Text = ""
        lbl_forni2.Visible = False
        lbl_forni3.Text = ""
        lbl_forni3.Visible = False
        lbl_forni4.Text = ""
        lbl_forni4.Visible = False
        lbl_forni5.Text = ""
        lbl_forni5.Visible = False
        lbl_forni6.Text = ""
        lbl_forni6.Visible = False
        lbl_forni7.Text = ""
        lbl_forni7.Visible = False
        lbl_forni8.Text = ""
        lbl_forni8.Visible = False
        lbl_forni9.Text = ""
        lbl_forni9.Visible = False
        lbl_forni10.Text = ""
        lbl_forni10.Visible = False

    End Sub
    'Tab qualita media'---------------------------------------------------------------------------------------------------------------
    Private Sub b00_assegnazioni_rec_qual_media()
        Select Case temp_pos
            Case 1
                txt_num_ord1.Text = rec_qual_media.num_ord
                txt_pez_cons1.Text = rec_qual_media.pez_cons
                txt_pzo1.Text = rec_qual_media.pzo
                txt_pez_scar1.Text = rec_qual_media.pez_scar
                txt_val_pez_scar1.Text = rec_qual_media.val_pez_scar

            Case 2
                txt_num_ord2.Text = rec_qual_media.num_ord
                txt_pez_cons2.Text = rec_qual_media.pez_cons
                txt_pzo2.Text = rec_qual_media.pzo
                txt_pez_scar2.Text = rec_qual_media.pez_scar
                txt_val_pez_scar2.Text = rec_qual_media.val_pez_scar
            Case 3
                txt_num_ord3.Text = rec_qual_media.num_ord
                txt_pez_cons3.Text = rec_qual_media.pez_cons
                txt_pzo3.Text = rec_qual_media.pzo
                txt_pez_scar3.Text = rec_qual_media.pez_scar
                txt_val_pez_scar3.Text = rec_qual_media.val_pez_scar
            Case 4
                txt_num_ord4.Text = rec_qual_media.num_ord
                txt_pez_cons4.Text = rec_qual_media.pez_cons
                txt_pzo4.Text = rec_qual_media.pzo
                txt_pez_scar4.Text = rec_qual_media.pez_scar
                txt_val_pez_scar4.Text = rec_qual_media.val_pez_scar
            Case 5
                txt_num_ord5.Text = rec_qual_media.num_ord
                txt_pez_cons5.Text = rec_qual_media.pez_cons
                txt_pzo5.Text = rec_qual_media.pzo
                txt_pez_scar5.Text = rec_qual_media.pez_scar
                txt_val_pez_scar5.Text = rec_qual_media.val_pez_scar
            Case 6
                txt_num_ord6.Text = rec_qual_media.num_ord
                txt_pez_cons6.Text = rec_qual_media.pez_cons
                txt_pzo6.Text = rec_qual_media.pzo
                txt_pez_scar6.Text = rec_qual_media.pez_scar
                txt_val_pez_scar6.Text = rec_qual_media.val_pez_scar
            Case 7
                txt_num_ord7.Text = rec_qual_media.num_ord
                txt_pez_cons7.Text = rec_qual_media.pez_cons
                txt_pzo7.Text = rec_qual_media.pzo
                txt_pez_scar7.Text = rec_qual_media.pez_scar
                txt_val_pez_scar7.Text = rec_qual_media.val_pez_scar
            Case 8
                txt_num_ord8.Text = rec_qual_media.num_ord
                txt_pez_cons8.Text = rec_qual_media.pez_cons
                txt_pzo8.Text = rec_qual_media.pzo
                txt_pez_scar8.Text = rec_qual_media.pez_scar
                txt_val_pez_scar8.Text = rec_qual_media.val_pez_scar
            Case 9
                txt_num_ord9.Text = rec_qual_media.num_ord
                txt_pez_cons9.Text = rec_qual_media.pez_cons
                txt_pzo9.Text = rec_qual_media.pzo
                txt_pez_scar9.Text = rec_qual_media.pez_scar
                txt_val_pez_scar9.Text = rec_qual_media.val_pez_scar
        End Select
    End Sub
    Private Sub b01_assegnazioni_txt_qual_media()
        If txt_num_ord1.Text <> "" Then
            rec_qual_media.num_ord = CType(txt_num_ord1.Text, Short)
            rec_qual_media.pez_cons = CType(txt_pez_cons1.Text, Short)
            rec_qual_media.pzo = CType(txt_pzo1.Text, Decimal)
            rec_qual_media.pez_scar = CType(txt_pez_scar1.Text, Short)
            'rec_qual_media.val_pez_scar = txt_val_pez_scar1.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord2.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord2.Text
            rec_qual_media.pez_cons = txt_pez_cons2.Text
            rec_qual_media.pzo = txt_pzo2.Text
            rec_qual_media.pez_scar = txt_pez_scar2.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar2.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord3.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord3.Text
            rec_qual_media.pez_cons = txt_pez_cons3.Text
            rec_qual_media.pzo = txt_pzo3.Text
            rec_qual_media.pez_scar = txt_pez_scar3.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar3.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord4.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord4.Text
            rec_qual_media.pez_cons = txt_pez_cons4.Text
            rec_qual_media.pzo = txt_pzo4.Text
            rec_qual_media.pez_scar = txt_pez_scar4.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar4.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord5.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord5.Text
            rec_qual_media.pez_cons = txt_pez_cons5.Text
            rec_qual_media.pzo = txt_pzo5.Text
            rec_qual_media.pez_scar = txt_pez_scar5.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar5.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord6.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord6.Text
            rec_qual_media.pez_cons = txt_pez_cons2.Text
            rec_qual_media.pzo = txt_pzo6.Text
            rec_qual_media.pez_scar = txt_pez_scar6.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar6.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord7.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord7.Text
            rec_qual_media.pez_cons = txt_pez_cons7.Text
            rec_qual_media.pzo = txt_pzo7.Text
            rec_qual_media.pez_scar = txt_pez_scar7.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar7.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord8.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord8.Text
            rec_qual_media.pez_cons = txt_pez_cons8.Text
            rec_qual_media.pzo = txt_pzo8.Text
            rec_qual_media.pez_scar = txt_pez_scar8.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar8.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If

        If txt_num_ord9.Text <> "" Then
            rec_qual_media.num_ord = txt_num_ord9.Text
            rec_qual_media.pez_cons = txt_pez_cons9.Text
            rec_qual_media.pzo = txt_pzo9.Text
            rec_qual_media.pez_scar = txt_pez_scar9.Text
            'rec_qual_media.val_pez_scar = txt_val_pez_scar9.Text
            FilePut(2, rec_qual_media, rec_qual_media.num_ord)
        Else
            Exit Sub
        End If
    End Sub
    Private Sub TabPage3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lbl_forn8.Click
        On Error Resume Next
        a00_Riempi_Listbox()

    End Sub

    Private Sub ListBox3_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBox3.SelectedIndexChanged
        anno_archivio = InputBox("Inserire l anno di cui si vuole visualizzare/modificare i dati")
        If My.Computer.FileSystem.FileExists(My.Application.Info.DirectoryPath & "\Qualità Media\" & ListBox3.SelectedItem & anno_archivio & ".rnd") Then
            FileOpen(2, My.Application.Info.DirectoryPath & "\Qualità Media\" & ListBox3.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_qual_media))
            tot_rec = LOF(2) / Len(rec_qual_media)
            For pos As Short = 1 To tot_rec
                temp_pos = pos
                FileGet(2, rec_qual_media, pos)
                If rec_qual_media.num_ord >= 1 Then
                    b00_assegnazioni_rec_qual_media()
                End If
            Next
            FileClose(2)
            Cmd_AGG_Dett_Forn.Enabled = True
            Cmd_CAL_Totali_e_Media.Enabled = True
        Else
            risp = MsgBox("Archivio con l anno specificato non esiste" & vbCrLf & "Crearlo ora?", MsgBoxStyle.YesNo)
            If risp = 6 Then
                FileOpen(2, My.Application.Info.DirectoryPath & "\Qualità Media\" & ListBox3.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_qual_media))
                MsgBox("Creazione Archivio Completata")
                FileClose(2)
                Cmd_AGG_Dett_Forn.Enabled = True
                Cmd_CAL_Totali_e_Media.Enabled = True
            End If
        End If
    End Sub

    Private Sub Cmd_AGG_Dett_Forn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_AGG_Dett_Forn.Click
        FileOpen(2, My.Application.Info.DirectoryPath & "\Qualità Media\" & ListBox3.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_qual_media))
        b01_assegnazioni_txt_qual_media()
        MsgBox("Scrittura Completata")
        FileClose(2)
    End Sub

    Private Sub Cmd_Resetta3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_Resetta3.Click
        txt_num_ord1.Text = ""
        txt_pez_cons1.Text = ""
        txt_pzo1.Text = ""
        txt_pez_scar1.Text = ""
        txt_val_pez_scar1.Text = ""
        txt_tot_num_ord.Text = ""

        txt_num_ord2.Text = ""
        txt_pez_cons2.Text = ""
        txt_pzo2.Text = ""
        txt_pez_scar2.Text = ""
        txt_val_pez_scar2.Text = ""
        txt_tot_pez_cons.Text = ""

        txt_num_ord3.Text = ""
        txt_pez_cons3.Text = ""
        txt_pzo3.Text = ""
        txt_pez_scar3.Text = ""
        txt_val_pez_scar3.Text = ""
        txt_tot_pzo.Text = ""
        txt_tot_pez_scar.Text = ""

        txt_num_ord4.Text = ""
        txt_pez_cons4.Text = ""
        txt_pzo4.Text = ""
        txt_pez_scar4.Text = ""
        txt_val_pez_scar4.Text = ""
        txt_tot_val_pez_scar.Text = ""

        txt_num_ord5.Text = ""
        txt_pez_cons5.Text = ""
        txt_pzo5.Text = ""
        txt_pez_scar5.Text = ""
        txt_val_pez_scar5.Text = ""

        txt_num_ord6.Text = ""
        txt_pez_cons6.Text = ""
        txt_pzo6.Text = ""
        txt_pez_scar6.Text = ""
        txt_val_pez_scar6.Text =""

        txt_num_ord7.Text = ""
        txt_pez_cons7.Text = ""
        txt_pzo7.Text = ""
        txt_pez_scar7.Text = ""
        txt_val_pez_scar7.Text = ""

        txt_num_ord8.Text = ""
        txt_pez_cons8.Text = ""
        txt_pzo8.Text = ""
        txt_pez_scar8.Text = ""
        txt_val_pez_scar8.Text = ""

        txt_num_ord9.Text = ""
        txt_pez_cons9.Text = ""
        txt_pzo9.Text = ""
        txt_pez_scar9.Text = ""
        txt_val_pez_scar9.Text = ""

        txt_qual_media1.Text = ""
        txt_qual_media2.Text = ""
        txt_qual_media2.Visible = False
        txt_qual_media3.Text = ""
        txt_qual_media3.Visible = False
        txt_qual_media4.Text = ""
        txt_qual_media4.Visible = False
        txt_qual_media5.Text = ""
        txt_qual_media5.Visible = False
        txt_qual_media6.Text = ""
        txt_qual_media6.Visible = False
        txt_qual_media7.Text = ""
        txt_qual_media7.Visible = False
        txt_qual_media8.Text = ""
        txt_qual_media8.Visible = False
        txt_qual_media9.Text = ""
        txt_qual_media9.Visible = False
        txt_qual_media10.Text = ""
        txt_qual_media10.Visible = False

        lbl_forn1.Text = ""
        lbl_forn2.Text = ""
        lbl_forn2.Visible = False
        lbl_forn3.Text = ""
        lbl_forn3.Visible = False
        lbl_forn4.Text = ""
        lbl_forn4.Visible = False
        lbl_forn5.Text = ""
        lbl_forn5.Visible = False
        lbl_forn6.Text = ""
        lbl_forn6.Visible = False
        lbl_forn7.Text = ""
        lbl_forn7.Visible = False
        lbl_forn8.Text = ""
        lbl_forn8.Visible = False
        lbl_forn9.Text = ""
        lbl_forn9.Visible = False
        lbl_forn10.Text = ""
        lbl_forn10.Visible = False

    End Sub

    Private Sub Cmd_CAL_Totali_e_Media_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cmd_CAL_Totali_e_Media.Click
        FileOpen(2, My.Application.Info.DirectoryPath & "\Qualità Media\" & ListBox3.SelectedItem & anno_archivio & ".rnd", OpenMode.Random, , , Len(rec_qual_media))
        tot_rec = LOF(2) / Len(rec_qual_media)
        For pos As Short = 1 To tot_rec
            FileGet(2, rec_qual_media, pos)
            If rec_qual_media.num_ord >= 1 Then
                tot_num_ord += 1
                tot_pez_cons += rec_qual_media.pez_cons
                tot_pzo += rec_qual_media.pez_cons * rec_qual_media.pzo
                tot_pez_scar += rec_qual_media.pez_scar
                rec_qual_media.val_pez_scar = rec_qual_media.pez_scar * rec_qual_media.pzo
                tot_val_pez_scar += rec_qual_media.val_pez_scar
                Select pos
                    Case 1
                        txt_val_pez_scar1.Text = rec_qual_media.val_pez_scar
                    Case 2
                        txt_val_pez_scar2.Text = rec_qual_media.val_pez_scar
                    Case 3
                        txt_val_pez_scar3.Text = rec_qual_media.val_pez_scar
                    Case 4
                        txt_val_pez_scar4.Text = rec_qual_media.val_pez_scar
                    Case 5
                        txt_val_pez_scar5.Text = rec_qual_media.val_pez_scar
                    Case 6
                        txt_val_pez_scar6.Text = rec_qual_media.val_pez_scar
                    Case 7
                        txt_val_pez_scar7.Text = rec_qual_media.val_pez_scar
                    Case 8
                        txt_val_pez_scar8.Text = rec_qual_media.val_pez_scar
                    Case 9
                        txt_val_pez_scar9.Text = rec_qual_media.val_pez_scar
                    Case Else
                        MsgBox("Valore delle merci scartate dell'ordine N° " & pos & ":" & rec_qual_media.val_pez_scar & "€")
                End Select
                FilePut(2, rec_qual_media, pos)
            End If
        Next
        txt_tot_num_ord.Text = tot_num_ord
        txt_tot_pzo.Text = tot_pzo
        txt_tot_pez_cons.Text = tot_pez_cons
        txt_tot_pez_scar.Text = tot_pez_scar
        txt_tot_val_pez_scar.Text = tot_val_pez_scar
        qual_media = 1 - (tot_val_pez_scar / tot_pzo)
        If txt_qual_media1.Text = "" Then
            txt_qual_media1.Text = qual_media
            lbl_forn1.Text = ListBox3.SelectedItem
        ElseIf txt_qual_media2.Text = "" Then
            txt_qual_media2.Text = qual_media
            lbl_forn2.Text = ListBox3.SelectedItem
            txt_qual_media2.Enabled = True
            lbl_forn2.Enabled = True
        ElseIf txt_qual_media3.Text = "" Then
            txt_qual_media3.Text = qual_media
            lbl_forn3.Text = ListBox3.SelectedItem
            txt_qual_media3.Enabled = True
            lbl_forn3.Enabled = True
        ElseIf txt_qual_media4.Text = "" Then
            txt_qual_media4.Text = qual_media
            lbl_forn4.Text = ListBox3.SelectedItem
            txt_qual_media4.Enabled = True
            lbl_forn4.Enabled = True
        ElseIf txt_qual_media5.Text = "" Then
            txt_qual_media5.Text = qual_media
            lbl_forn5.Text = ListBox3.SelectedItem
            txt_qual_media5.Enabled = True
            lbl_forn5.Enabled = True
        ElseIf txt_qual_media6.Text = "" Then
            txt_qual_media6.Text = qual_media
            lbl_forn6.Text = ListBox3.SelectedItem
            txt_qual_media6.Enabled = True
            lbl_forn6.Enabled = True
        ElseIf txt_qual_media7.Text = "" Then
            txt_qual_media7.Text = qual_media
            lbl_forn7.Text = ListBox3.SelectedItem
            txt_qual_media7.Enabled = True
            lbl_forn7.Enabled = True
        ElseIf txt_qual_media8.Text = "" Then
            txt_qual_media8.Text = qual_media
            lbl_forn8.Text = ListBox3.SelectedItem
            txt_qual_media8.Enabled = True
            lbl_forn8.Enabled = True
        ElseIf txt_qual_media9.Text = "" Then
            txt_qual_media9.Text = qual_media
            lbl_forn9.Text = ListBox3.SelectedItem
            txt_qual_media9.Enabled = True
            lbl_forn9.Enabled = True
        ElseIf txt_qual_media10.Text = "" Then
            txt_qual_media10.Text = qual_media
            lbl_forn10.Text = ListBox3.SelectedItem
            txt_qual_media10.Enabled = True
            lbl_forn10.Enabled = True
        End If
        tot_num_ord = 0
        tot_pez_cons = 0
        tot_pzo = 0
        tot_pez_scar = 0
        tot_val_pez_scar = 0
        FileClose(2)
    End Sub
End Class
